package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2024-03-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="EmSbjgry对象")
public class EmSbjgry implements Serializable {

    private static final long serialVersionUID=1L;


    @ApiModelProperty(value = "登录账号")
    private String dlzh;

    @ApiModelProperty(value = "职号")
    private String employeeNumber;

    @ApiModelProperty(value = "所属工序")
    private String gx;

    @ApiModelProperty(value = "休假时间范围")
    private String xjsj;

    @ApiModelProperty(value = "默认设备")
    private String sb;

    @ApiModelProperty(value = "状态；0在职1离职")
    private String zt;


    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;



}
