package com.dsic.gj_erp.bean.pgd;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="PgdDmjh对象", description="")
public class PgdDmjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String czbh;

    @ApiModelProperty(value = "批量")
    private String pl;

    @ApiModelProperty(value = "分段")
    private String fd;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "套料图号")
    private String tlth;

    @ApiModelProperty(value = "套料图号")
    private String ptblx;

    @ApiModelProperty(value = "零件编号")
    private String ljbh;

    @ApiModelProperty(value = "零件名称")
    private String ljmc;

    @ApiModelProperty(value = "零件规格")
    private String ljgg;

    @ApiModelProperty(value = "零件材质")
    private String ljcz;

    @ApiModelProperty(value = "物品分类")
    private String wpfl;

    @ApiModelProperty(value = "计量单位")
    private String jldw;

    @ApiModelProperty(value = "数量")
    private Double sl;

    @ApiModelProperty(value = "打磨计划日期")
    private String dmjhrq;

    @ApiModelProperty(value = "前方需求小组期")
    private String qfxqrqxz;

    @ApiModelProperty(value = "前方需求大组期")
    private String qfxqrqdz;

    @ApiModelProperty(value = "工艺路线")
    private String gylx;

    @ApiModelProperty(value = "打磨负责人")
    private String dmfzry;

    @ApiModelProperty(value = "打磨设备编号")
    private String dmsbbh;

    @ApiModelProperty(value = "打磨长度")
    private Double dmcd;

    @ApiModelProperty(value = "打磨人员")
    private String dmry;

    @ApiModelProperty(value = "打磨开始日期")
    private String dmksrq;

    @ApiModelProperty(value = "打磨结束日期")
    private String dmjsrq;

    @ApiModelProperty(value = "状态")
    private String zt;

    @ApiModelProperty(value = "编制人")
    private String bzry;

    @ApiModelProperty(value = "编制日期")
    private String bzrq;

    @ApiModelProperty(value = "下发人")
    private String xfry;

    @ApiModelProperty(value = "下发日期")
    private String xfrq;

    @ApiModelProperty(value = "反馈人")
    private String fkry;

    @ApiModelProperty(value = "反馈日期")
    private String fkrq;

    @ApiModelProperty(value = "反馈原因")
    private String fkyy;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
